Package org.opensaml.soap.wssecurity

# Interface EncryptedHeader

All Superinterfaces:
  `ActorBearing`, `IdBearing`, `MustUnderstandBearing`, `MustUnderstandBearing`, `RelayBearing`, `RoleBearing`, `WSSecurityObject`, `XMLObject`

All Known Implementing Classes:
  `EncryptedHeaderImpl`

public interface EncryptedHeader extends IdBearing, MustUnderstandBearing, ActorBearing, MustUnderstandBearing, RoleBearing, RelayBearing, WSSecurityObject
The <wsse:EncryptedHeader> element.

See Also:
  - `EncryptedHeader`
  - "WS-Security, Chapter 9.3 EncryptedHeader"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Qualified element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.soap.soap11.ActorBearing

`SOAP11_ACTOR_ATTR_LOCAL_NAME, SOAP11_ACTOR_ATTR_NAME, SOAP11_ACTOR_NEXT`

### Fields inherited from interface org.opensaml.soap.wssecurity.IdBearing

`WSU_ID_ATTR_LOCAL_NAME, WSU_ID_ATTR_NAME`

### Fields inherited from interface org.opensaml.soap.soap11.MustUnderstandBearing

`SOAP11_MUST_UNDERSTAND_ATTR_LOCAL_NAME, SOAP11_MUST_UNDERSTAND_ATTR_NAME`

### Fields inherited from interface org.opensaml.soap.soap12.MustUnderstandBearing

`SOAP12_MUST_UNDERSTAND_ATTR_LOCAL_NAME, SOAP12_MUST_UNDERSTAND_ATTR_NAME`

### Fields inherited from interface org.opensaml.soap.soap12.RelayBearing

`SOAP12_RELAY_ATTR_LOCAL_NAME, SOAP12_RELAY_ATTR_NAME`

### Fields inherited from interface org.opensaml.soap.soap12.RoleBearing

`SOAP12_ROLE_ATTR_LOCAL_NAME, SOAP12_ROLE_ATTR_NAME`

## Method Summary

Modifier and Type
Method
Description
`EncryptedData`
`getEncryptedData()`
Gets the EncryptedData child element.
`void`
`setEncryptedData(EncryptedData newEncryptedData)`
Sets the EncryptedData child element.

### Methods inherited from interface org.opensaml.soap.soap11.ActorBearing

`getSOAP11Actor, setSOAP11Actor`

### Methods inherited from interface org.opensaml.soap.wssecurity.IdBearing

`getWSUId, setWSUId`

### Methods inherited from interface org.opensaml.soap.soap11.MustUnderstandBearing

`isSOAP11MustUnderstand, isSOAP11MustUnderstandXSBoolean, setSOAP11MustUnderstand, setSOAP11MustUnderstand`

### Methods inherited from interface org.opensaml.soap.soap12.MustUnderstandBearing

`isSOAP12MustUnderstand, isSOAP12MustUnderstandXSBoolean, setSOAP12MustUnderstand, setSOAP12MustUnderstand`

### Methods inherited from interface org.opensaml.soap.soap12.RelayBearing

`isSOAP12Relay, isSOAP12RelayXSBoolean, setSOAP12Relay, setSOAP12Relay`

### Methods inherited from interface org.opensaml.soap.soap12.RoleBearing

`getSOAP12Role, setSOAP12Role`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Qualified element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getEncryptedData

@Nullable EncryptedData getEncryptedData()
Gets the EncryptedData child element.

Returns:
  the EncryptedData child element

### setEncryptedData

void setEncryptedData(@Nullable EncryptedData newEncryptedData)
Sets the EncryptedData child element.

Parameters:
  `newEncryptedData` - the new EncryptedData child element